Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0019815
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajorsometimes2012-02-20 13:172012-03-02 15:38
Reportereduardo_ArgalView Statuspublic 
Assigned Toeduardo_Argal 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision265180c4a4e7
ProjectionnoneETAnoneTarget Version3.0MP9
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0019815: Accounting is wrong for documents using cost as it assumes cost currency is equal accounting schema currency

DescriptionWhen posting documents using cost and a different currency for the accounting schema amounts are entered using accounting schema currency without doing proper conversion from cost currency.
Steps To Reproduce1) Create a client using EUR
2) create an schema using USD
3) post a goods receipt and mind that entry is in USD while amount is showing EUR value
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0045279)
hgbot (developer)
2012-02-20 18:43

Repository: erp/devel/pi
Changeset: 265180c4a4e7f26139b9e24dbb59b4cd33b93f82
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Mon Feb 20 18:42:44 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/265180c4a4e7f26139b9e24dbb59b4cd33b93f82 [^]

Fixes bug 19815: Accounting is wrong for documents using cost as it assumes cost currency is equal accounting schema currency

---
M src/org/openbravo/erpCommon/ad_forms/DocInOut.java
M src/org/openbravo/erpCommon/ad_forms/DocInventory.java
M src/org/openbravo/erpCommon/ad_forms/DocMatchInv.java
M src/org/openbravo/erpCommon/ad_forms/DocMovement.java
M src/org/openbravo/erpCommon/ad_forms/DocProduction.java
---
(0045680)
vmromanos (developer)
2012-03-01 17:59

Fixed, working fine.
Test plan:
1. In F&B client, create a Goods Receipt for Happy Drink
2. Add a new line:
- Product Ale Beer (which has 1.63 EUR for cost)
- Amount 10
3. Complete and post it
4. The amounts in the accounting entry are 20,40USD, which represents 10 units x 1,63 EUR x 1,25USD/EUR (Conversion EUR to USD) = 20,40USD
(0045896)
hudsonbot (developer)
2012-03-02 15:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/544d64e0c159 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-02-20 13:17 eduardo_Argal New Issue
2012-02-20 13:17 eduardo_Argal Assigned To => eduardo_Argal
2012-02-20 13:17 eduardo_Argal Modules => Core
2012-02-20 13:18 eduardo_Argal Status new => scheduled
2012-02-20 13:18 eduardo_Argal fix_in_branch => pi
2012-02-20 18:43 hgbot Checkin
2012-02-20 18:43 hgbot Note Added: 0045279
2012-02-20 18:43 hgbot Status scheduled => resolved
2012-02-20 18:43 hgbot Resolution open => fixed
2012-02-20 18:43 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/265180c4a4e7f26139b9e24dbb59b4cd33b93f82 [^]
2012-03-01 17:59 vmromanos Note Added: 0045680
2012-03-01 17:59 vmromanos Status resolved => closed
2012-03-02 15:38 hudsonbot Checkin
2012-03-02 15:38 hudsonbot Note Added: 0045896


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker